.section-container {
    max-width: calc(100% - 200px);
    margin: auto;
    padding-block: 80px;
}

@media (max-width:1024px) {
    .section-container {
        max-width: calc(100% - 40px);
        padding-block: 40px;
    }
}

.header-hero {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 540px;
}

    .header-hero img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .header-hero .hero-wrapper {
        display: flex;
        gap: 80px;
        flex-direction: column;
        position: absolute;
        margin: 0;
        text-align: center;
        width: 100%;
        max-width: calc(100% - 30vw);
    }

.header-search-input {
    display: block;
    margin: auto;
    width: 100%;
}

    .header-search-input form {
        position: relative;
        display: flex;
        align-items: center;
    }

    .header-search-input svg {
        position: absolute;
        left: 32px;
    }

    .header-search-input input {
        border: 1px solid #96969640;
        background-color: #FFFFFFCC;
        width: 100%;
        line-height: 2;
        padding: 12px 32px 12px 70px;
        border-radius: 50px;
    }

        .header-search-input input:focus-visible {
            outline-color: black;
        }

.blog-filters {
    border-bottom: 1px solid #E8E8E8;
    padding-inline: 20px;
    display: flex;
    white-space: nowrap;
    gap: 0;
    /*overflow: auto;
    scrollbar-width: none;*/
}

.span-data {
    margin-left: 5px;
    margin-right: 5px;
    color: #E8E8E8;
    cursor: text;
}

    .blog-filters.filter-overflow-x-axis {
        overflow-x: auto;
        overflow-y: hidden;
        -ms-overflow-style: none;
        scrollbar-width: none;
        cursor: grab;
    }

        .blog-filters.filter-overflow-x-axis::-webkit-scrollbar {
            display: none;
        }

.blog-filters.filter-overflow-x-axis label {
    cursor: pointer;
}

.filter-overflow-x-axis {
    overflow-x: scroll;
}

.blog-filters input {
    display: none;
}

#blog {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-row-gap: 60px;
    grid-column-gap: 24px;
}

@media (max-width:768px) {
    .blog-filters {
        overflow: scroll;
    }

    #blog {
        display: block;
    }
}

.blog-filters .article-filter-btn {
    padding: 8px 0px;
    border-bottom: 2px solid transparent;
    transition: all .2s ease-in-out;
}

.blog-filters input[type="radio"]:checked + label {
    border-bottom: 2px solid black; /* Black border when checked */
}


.blog-filters-wrapper {
    position: relative;
}

.scroll-arrow {
    position: relative;
    /* top: 15px; */
    /* left: 0; */
    /* transform: translateY(-50%); */
    background: rgb(255 255 255);
    border: 1px solid #ccc;
    border-radius: 30%;
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
    /* box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2); */
    /* transition: opacity 0.3s; */
}

    .scroll-arrow.left {
        left: 0;
    }

    .scroll-arrow.right {
        right: 0;
    }

    .scroll-arrow.hidden {
        opacity: 0;
        pointer-events: none;
    }


.blog-articles {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-row-gap: 40px;
    grid-column-gap: 24px;
    margin-block: 50px 100px;
}

@media (max-width:1024px) {
    .blog-articles {
        grid-template-columns: 1fr;
    }
}

.blog-articles article h3 {
    font-size: 18px;
}

.blog-articles article img {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
    object-fit: cover;
    border-radius: 12px;
    margin-bottom: 20px;
}

.blog-articles article p, .top-readable .article-details p {
    color: #969696;
    margin: 0;
}

.pagination {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    padding: 0;
    list-style: none;
    align-items: center;
    justify-content: center;
}

    .pagination li a {
        display: flex;
        align-items: center;
        border-radius: 4px;
        line-height: 1;
        padding: 10px 15px;
        border: 1px solid #F1F1F1;
        transition: all .3s ease-in-out;
    }

        .pagination li a:hover {
            background-color: #12121226;
            border-color: black;
        }

        .pagination li a.current-page {
            background-color: black;
            color: white;
        }

.top-readable {
    position: relative;
    z-index: 1;
    padding-top: 0;
    margin-top: -100px;
    background-color: white;
    border-radius: 32px;
    padding: 56px 50px;
    display: flex;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    /* grid-template-columns: 1fr 1fr; */
    gap: 56px;
    align-items: center;
    justify-content: center;
}

    .top-readable img {
        display: block;
        aspect-ratio: 7;
        object-fit: cover;
        height: 420px;
        border-radius: 12px;
    }

    .top-readable .article-link {
        display: inline-flex;
        align-items: center;
        gap: 10px;
        margin-top: 18px;
        border-radius: 50px;
        padding: 12px 32px;
        background-color: black;
        color: white;
    }

@media (max-width:768px) {
    .top-readable {
        padding-block: 40px !important;
        flex-direction: column;
        padding: 20px;
        gap: 24px;
    }

        .top-readable img {
            aspect-ratio: 16/9;
            height: auto;
        }
}

.selectize-input {
    display: block;
    width: 100%;
    padding: 5px 24px;
    border-radius: 50px;
    color: white;
    font-size: 14px;
    line-height: 2.5;
    font-family: inherit;
    white-space: nowrap;
}


.slink h3 {
    border-bottom: 1px solid #e8e8e8;
}

.slink ul {
    padding-left: 27px;
    margin-top: 15px;
}

    .slink ul li {
        margin-bottom: 5px;
        font-size: 14px;
    }

@media (max-width:768px) {
    .slink h3 {
        margin-top: 20px;
    }
}
